import request from 'utils/request'
import { baseApi } from 'utils/config' 
import {fetch,post,put} from 'utils/http';

//获取部门信息
export function getTeamList (deptId) {
  return fetch('manageBase/dept/tree',{deptId})
  // return request({
  //   url: baseApi + 'manageBase/dept/tree',
  //   method: 'get',
  //   params: {
  //     deptId
  //   }
  // })
}
//获取子部门信息
export function getTeamChildList (deptId) {
  return fetch('manageBase/dept/child',deptId)
  // return request({
  //   url: baseApi + 'manageBase/dept/child',
  //   method: 'get',
  //   params: {
  //     deptId
  //   }
  // })
}
//新增部门
export function addTeam (data) {
  return post('manageBase/dept',data)
  // return request({
  //   url: baseApi + 'manageBase/dept',
  //   method: 'post',
  //   data,
  // })
}
//修改部门
export function setTeam (data) {
  return put('manageBase/dept',data)
  // return request({
  //   url: baseApi + 'manageBase/dept',
  //   method: 'put',
  //   data,
  // })
}
